taffybar-0.4.6: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | None
Language | Haskell2010

System.Taffybar.Battery

Description

This module provides battery widgets using the UPower system service.

Currently it reports only the first battery it finds. If it does not find a batterym it just returns an obnoxious widget with warning text in it. Battery hotplugging is not supported. These more advanced features could be supported if there is interest.

Synopsis

- batteryBarNew :: BarConfig -> Double -> IO Widget
- textBatteryNew :: String -> Double -> IO Widget
- defaultBatteryConfig :: BarConfig

# Documentation

batteryBarNew Source #

Arguments

:: BarConfig | Configuration options for the bar display
-> Double | Polling period in seconds
-> IO Widget |

A fancy graphical battery widget that represents the current charge as a colored vertical bar. There is also a textual percentage readout next to the bar.

textBatteryNew Source #

Arguments

:: String | Display format
-> Double | Poll period in seconds
-> IO Widget |

A simple textual battery widget that auto-updates once every polling period (specified in seconds). The displayed format is specified format string where $percentage$ is replaced with the percentage of battery remaining and $time$ is replaced with the time until the battery is fully charged/discharged.

defaultBatteryConfig :: BarConfig Source #

A default configuration for the graphical battery display. The bar will be red when power is critical (< 10%), green if it is full (> 90%), and grey otherwise.

You can customize this with any of the options in `BarConfig`